# SplDoublyLinkedList::add

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

SplDoublyLinkedList::add — Ajoute/insert une nouvelle valeur à l'index spécifié

### Description

public SplDoublyLinkedList::add(int `$index`, mixed `$value`): void

Insert la valeur `value` à l'index `index` spécifié, en faisant passer la valeur précédente à cet index (ainsi que toutes les valeurs en dessous).

### Liste de paramètres

`index`

  L'index où la nouvelle valeur doit être insérée.

`value`

  La nouvelle valeur pour l'index `index`.

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

Lance une exception OutOfRangeException lorsque `index` est en dehors de l'intervalle ou lorsque `index` ne peut être analysé comme un entier.